List seller account relationships
curl --request GET \
--url https://api.interchange.io/api/v2/storefront/account-mappings \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.interchange.io/api/v2/storefront/account-mappings"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.interchange.io/api/v2/storefront/account-mappings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"items": [
{
"accountId": "<string>",
"operatorDomain": "<string>",
"brandDomain": "<string>",
"displayName": "<string>",
"sandbox": true,
"grants": [
{
"status": "<string>",
"billing": "<string>",
"count": 4503599627370495
}
],
"sourceCoverage": [
{
"inventorySourceKey": "<string>",
"sourceExternalAccountId": "<string>",
"bindingVersion": 0,
"nativeAccountGeneration": 0,
"nativeAccountStatus": "<string>",
"listingVersion": "<string>",
"lastSeenAt": "2023-11-07T05:31:56Z",
"candidateCount": 4503599627370495
}
]
}
],
"sources": [
{
"inventorySourceKey": "<string>",
"name": "<string>",
"executionType": "<string>",
"supportsNativeAccounts": true
}
],
"page": {
"offset": 4503599627370495,
"limit": 50,
"total": 4503599627370495,
"hasMore": true
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}Storefront
List seller account relationships
List the seller-owned operator-and-brand relationships and their private coverage across active inventory sources.
GET
/
account-mappings
List seller account relationships
curl --request GET \
--url https://api.interchange.io/api/v2/storefront/account-mappings \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.interchange.io/api/v2/storefront/account-mappings"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.interchange.io/api/v2/storefront/account-mappings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"items": [
{
"accountId": "<string>",
"operatorDomain": "<string>",
"brandDomain": "<string>",
"displayName": "<string>",
"sandbox": true,
"grants": [
{
"status": "<string>",
"billing": "<string>",
"count": 4503599627370495
}
],
"sourceCoverage": [
{
"inventorySourceKey": "<string>",
"sourceExternalAccountId": "<string>",
"bindingVersion": 0,
"nativeAccountGeneration": 0,
"nativeAccountStatus": "<string>",
"listingVersion": "<string>",
"lastSeenAt": "2023-11-07T05:31:56Z",
"candidateCount": 4503599627370495
}
]
}
],
"sources": [
{
"inventorySourceKey": "<string>",
"name": "<string>",
"executionType": "<string>",
"supportsNativeAccounts": true
}
],
"page": {
"offset": 4503599627370495,
"limit": 50,
"total": 4503599627370495,
"hasMore": true
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}Authorizations
API key or access token
Query Parameters
Required range:
0 <= x <= 9007199254740991Required range:
1 <= x <= 100Maximum string length:
200⌘I